%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/valyala/fastjson
Version:                1.6.4

%gometa

%global common_description %{expand:
Fast JSON parser and validator for Go. No custom structs, no code generation,
no reflection.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Fast JSON parser and validator for Go

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
